תוסף זה לא נבדק ב-3 הגרסאות הראשיות האחרונות של וורדפרס. ייתכן והתוסף כבר לא מתוחזק או נתמך על ידי יוצריו, וייתכן שיהיו לו בעיות תאימות בגרסות וורדפרס עדכניות יותר.

קבצי ליבה ישנים

תיאור

אבטחו את אתרי הוורדפרס שלכם על ידי הסרת קבצי ליבה מיושנים.

כאשר משדרגים לגרסת וורדפרס חדשה, קבצים מסויימים אינם נחוצים עוד והם מיועדים למחיקה.

במקרים מסויימים למערכת אין הרשאות למחוק קבצים אלה. הקבצים נותרים על השרת והם עלולים לחשוף את האתר. תוסף זה מתריעה על קבצי ליבה ישנים לפני שהאקרים יוכלו לנצל אותם להתקיף את האתר.

מומלץ למחוק תבניות ותוספים שאינם בשימוש משום שהאקרים יכולים לנצל אותם להתקפות. אותו היגיון חל על קבצי ליבה ישנים.

צילומי מסך

  • Main plugin screen in WordPress 3.5
  • Main plugin screen in WordPress 4.0

התקנה

התקנה

  1. בלוח הבקרה של וורדפרס גשו לתפריט "תוספים" -> "תוסף חדש".
  2. חפשו "Old Core Files".
  3. התקינו את התוסף על ידי לחיצה על הכפתור "התקנה".
  4. הפעילו את התוסף על ידי לחיצה על הכפתור "הפעלה".
  5. גשו תפריט "כלים" -> "קבצי ליבה ישנים"

דרישות מינימום

  • וורדפרס גרסה 3.0 ומעלה.
  • PHP גרסה 5.2.4 ומעלה.
  • MySQL גרסה 5.0 ומעלה.

דרישות מומלצות

  • הגרסה האחרונה של וורדפרס.
  • PHP גרסה 7.0 ומעלה.
  • MySQL גרסה 5.6 ומעלה.

שאלות נפוצות

Installation Instructions

התקנה

  1. בלוח הבקרה של וורדפרס גשו לתפריט "תוספים" -> "תוסף חדש".
  2. חפשו "Old Core Files".
  3. התקינו את התוסף על ידי לחיצה על הכפתור "התקנה".
  4. הפעילו את התוסף על ידי לחיצה על הכפתור "הפעלה".
  5. גשו תפריט "כלים" -> "קבצי ליבה ישנים"

דרישות מינימום

  • וורדפרס גרסה 3.0 ומעלה.
  • PHP גרסה 5.2.4 ומעלה.
  • MySQL גרסה 5.0 ומעלה.

דרישות מומלצות

  • הגרסה האחרונה של וורדפרס.
  • PHP גרסה 7.0 ומעלה.
  • MySQL גרסה 5.6 ומעלה.

סקירות

Good plugin

The plugin looks good but I had not found any old files in my WP installation. I'm using my WordPress from 2016 year. It may be useful if you are using an older installation. Thanks!
קראו את כל 3 הסקירות

מפתחים

"קבצי ליבה ישנים" הוא תוסף קוד פתוח. האנשים הבאים תרמו ליצירת התוסף הזה.

תורמים

“קבצי ליבה ישנים” תורגם ל-6 שפות. תודה רבה למתרגמים על תרומתם.

ניתן לתרגם את "קבצי ליבה ישנים" לשפה שלך.

מעוניינים בפיתוח?

עיינו בקוד, ראו את הקוד ב-SVN repository, או הירשמו ללוג פיתוח באמצעות RSS.

שינויים

1.4

  • תיקון תקלה: תיקון nonce שבור.

1.3

  • אבטחה: מניעת גישה ישירה לקבצי PHP.
  • אבטחה: מניעת גישה ישירה לספריית התוסף.
  • הסרת קבצי po/mo מהתוסף.
  • שימוש בממשק translate.wordpress.org לתרגום התוסף.

1.2

  • תיקון באג: טעינת קבצי תרגום.
  • הוספת צילום מסך חדש.
  • עדכון קובץ readme.

1.1.3

1.1.2

1.1

  • כפתורי המחיקה הוסרו. נצטרך לעבוד על זה טיפה לפני שנאפשר לכולם להשתמש בזה.
  • הוספת צילומי מסך.
  • שיפור קובץ readme.

1.0

  • גרסה ראשונית.